<!-- THIS PART OF THIS FILE IS AUTOGENERATED. DO NOT MODIFY IT. See scripts/generate-docs.sh -->
# dump-register-frame

```text
usage: dump-register-frame [-h] [-p]
                           {armcm-exception,armcm-exception2} [address]

```

Display the registers saved to memory for a certain frame type
### Positional arguments

|Positional Argument|Help|
| :--- | :--- |
|frame_type|The type of frame to print|
|address|The address to read the frame from|

### Optional arguments

|Short|Long|Help|
| :--- | :--- | :--- |
|-h|--help|show this help message and exit|
|-p|--print|Show addresses of frame values|

<!-- END OF AUTOGENERATED PART. Do not modify this line or the line below, they mark the end of the auto-generated part of the file. If you want to extend the documentation in a way which cannot easily be done by adding to the command help description, write below the following line. -->
<!-- ------------\>8---- ----\>8---- ----\>8------------ -->
